package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingFullrangeQueryactivityRequest struct {
	/*
	   查询活动入参     */
	Param0 *domain.AlibabaHmMarketingFullrangeQueryactivityCommonActivityParam `json:"param0" required:"true" `
}

func (s *AlibabaHmMarketingFullrangeQueryactivityRequest) SetParam0(v domain.AlibabaHmMarketingFullrangeQueryactivityCommonActivityParam) *AlibabaHmMarketingFullrangeQueryactivityRequest {
	s.Param0 = &v
	return s
}

func (req *AlibabaHmMarketingFullrangeQueryactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	return paramMap
}

func (req *AlibabaHmMarketingFullrangeQueryactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
